uninitialized constant Sass::Plugin #110

Closed
iakona opened this Issue Jun 14, 2012 · 5 comments

Projects

None yet

6 participants

@iakona
iakona commented Jun 14, 2012

Trying to load up my server and I get this error. I am using rails 3.2.3 and jruby 1.6.7.2. Let me know if you need any more information. Thanks in advance.

@chuckweinberger

Did you ever find a solution to this. I am experiencing the same problem migrating an app that works just fine in rails 3.0.19 to rails 3.1.10

@shivapriya

me too, rails is of version 3.2.13. And i encounter the following error message:

config/initializers/sass.rb:1:in `<top (required)>': uninitialized constant Sass::Plugin (NameError)

Any solutions?

@mahemoff

In Rails 3.2, use config.sass, e.g. for source maps:

config.sass.debug_info = true
config.sass.line_comments = false

@jeremy
Member
jeremy commented Mar 24, 2013

If you get this error starting your server in production, it's because sass-rails is in the :assets group in Gemfile, and that's only loaded for asset precompiles and in development.

If you're using Sass at runtime, you'll want to move it out of the :assets group, or put a require 'sass' in the file where you use it.

@jeremy jeremy closed this Mar 24, 2013
@napster3000

I have this problem in Rails 4.0.0 when I push to Heroku

gem 'sass-rails', '~> 4.0.0'

Problem: http://stackoverflow.com/questions/17308988/uninitialized-constant-sassplugin

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment